Bug 1029075 - Anaconda parses ipv6 addresses for nfs mounts wrong [NEEDINFO]
Anaconda parses ipv6 addresses for nfs mounts wrong
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.4
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 10:41 EST by Andrei Tatar
Modified: 2017-12-06 06:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:13:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
swhiteho: needinfo? (anaconda-maint-list)


Attachments (Terms of Use)
TTY2 (16.59 KB, image/png)
2016-01-30 20:07 EST, Noel McLoughlin
no flags Details

  None (edit)
Description Andrei Tatar 2013-11-11 10:41:11 EST
Description of problem:

When specifying an nfs path containing an ipv6 address, either on the kernel cmdline as

ks=nfs:[fc00::xxxx:xxxx]:/path/to/kickstart

or in the kickstart file as the path for stage2:

nfs --server [fc00::xxxx:xxxx] --dir /opt/opsware/boot/kickstart/rhel60x64

the nfs address is parsed wrong.

Version-Release number of selected component (if applicable):

anaconda 13.21.195 , possibly earlier as well

How reproducible:

Always

Steps to Reproduce:
1. Boot RHEL 6.4 install cd with kernel argument "ks=nfs:[ipv6address]:/path/to/ks"
2. Wait for anaconda to load
3. Anaconda complains of not being able to load the kickstart file, and logs show malformed parsing of the url

Actual results:

For an example ipv6 address of [fc00:123:1:0:250:56ff:fe00:1234]

The NFS url gets parsed as:
opts="[fc00"
host="123"
path="1:0:250:56ff:fe00:1234]:/path/to/kickstart"

Expected results:

Same example address:

opts=""
host="[fc00:123:1:0:250:56ff:fe00:1234]"
path="/path/to/kickstart"

Additional info:

The most likely culprit is
void parseNfsHostPathOpts (char *url, char **host, char **path, char **opts)
from loader/nfsinstall.c in the anaconda source tree. The parsing doesn't take into consideration the case in which host is an ipv6 address.
Comment 2 RHEL Product and Program Management 2013-11-15 04:37:13 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Noel McLoughlin 2016-01-30 20:07 EST
Created attachment 1119705 [details]
TTY2

I can confirm this is a parsing bug (see screenshot) and minor issue.  I can be reproduce with nfs-over-ipv6 but not http-over-ipv6 or https-over-ipv6.
Comment 7 Jan Kurik 2017-12-06 06:13:46 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.